using LegacyUnitTesting.Models;

namespace LegacyUnitTesting.Models
{
    public class OriginalShip:IShippingStrategy
    {
        public decimal CalcMethodCost(IProduct prod, int qty, ShippingUrgency urg, decimal salesTax)
        {
            //code that I realize will be different if we ship using some other method
            decimal shippingCost = 0;
            if (prod.weight > 100)
            {
                shippingCost += 100 * salesTax;
            }
            if (qty < 50) { }
            switch (urg)
            {
                case ShippingUrgency.High:
                    break;
            }
            //…lots more of that code 
            return shippingCost;
        }
    }
}